### Function

# Phosh BackgroundImage new

#### Declaration [src]

    void
    phosh_background_image_new (
      GFile* file,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

This function completes asynchronously. Use `phosh_background_image_new_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.